PFIND(9)

NAME
pfind, pgfind - find process / process group by number

SYNOPSIS
#include <sys/cdefs.h>
#include <sys/proc.h>
struct proc *
pfind(pid_t pid);
struct pgrp *
pgfind(pid_t pgid);

DESCRIPTION
The pfind() and pgfind() functions retrieve process and progress group structures from process and process group IDs.

Both functions return NULL if the requested ID can't be found.

CODE REFERENCES
Those functions are implemented in the file sys/kern/kern_proc.c.